Bug 188905 - wine is not linked correctly against X libraries.
wine is not linked correctly against X libraries.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
5
All Linux
high Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 09:37 EDT by Kapoios Kanenas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: wine-0.9.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 18:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kapoios Kanenas 2006-04-13 09:37:17 EDT
Description of problem:

wine is not linked correctly against X libraries.
Wine lib binaries for all X libs are "hard" linked  to 
/usr/lib/wine/../libxxxx.so.x


wined3d.dll.so uses /usr/lib/wine/../libGL.so.1 (mesa) not the vendor libGL
which causes GLX errors .
The only way to use the vendor libGL is to remove /usr/lib/libGL.so.1.

Other applications use the vendor libGL.


E.g. 
 ldd /usr/lib/wine/wined3d.dll.so
        linux-gate.so.1 =>  (0x0099b000)
        libwine.so.1 => /usr/lib/wine/../libwine.so.1 (0x009e3000)
        libXxf86dga.so.1 => /usr/lib/wine/../libXxf86dga.so.1 (0x00da5000)
        libXxf86vm.so.1 => /usr/lib/wine/../libXxf86vm.so.1 (0x00d65000)
        libXext.so.6 => /usr/lib/wine/../libXext.so.6 (0x00146000)
        libX11.so.6 => /usr/lib/wine/../libX11.so.6 (0x005ab000)
        libGL.so.1 => /usr/lib/wine/../libGL.so.1 (0x007ae000)
        libGLU.so.1 => /usr/lib/wine/../libGLU.so.1 (0x00156000)
        libm.so.6 => /lib/libm.so.6 (0x00d16000)
        libc.so.6 => /lib/libc.so.6 (0x00af4000)
        libdl.so.2 => /lib/libdl.so.2 (0x00111000)
        libXau.so.6 => /usr/lib/wine/../libXau.so.6 (0x00115000)
        libXdmcp.so.6 => /usr/lib/wine/../libXdmcp.so.6 (0x00118000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00c5b000)
        libdrm.so.2 => /usr/lib/wine/../libdrm.so.2 (0x00829000)
        libstdc++.so.6 => /usr/lib/wine/../libstdc++.so.6 (0x006c1000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0011e000)
        /lib/ld-linux.so.2 (0x0099c000)

While glxgears is linked correctly (exact same environment).
 ldd /usr/bin/glxgears
        linux-gate.so.1 =>  (0x0099b000)
        libglut.so.3 => /usr/lib/libglut.so.3 (0x00c52000)
        libGLU.so.1 => /usr/lib/libGLU.so.1 (0x06e03000)
        libGL.so.1 => /usr/lib/nvidia/libGL.so.1 (0x00119000)
        libm.so.6 => /lib/libm.so.6 (0x00af2000)
        libc.so.6 => /lib/libc.so.6 (0x009bd000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00b39000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00c40000)
        libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x06bca000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x063de000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x063ac000)
        libGLcore.so.1 => /usr/lib/nvidia/libGLcore.so.1 (0x0019e000)
        libnvidia-tls.so.1 => /usr/lib/nvidia/tls/libnvidia-tls.so.1 (0x00111000)
        libdl.so.2 => /lib/libdl.so.2 (0x00b19000)
        /lib/ld-linux.so.2 (0x0099c000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00b34000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00c38000)

Version-Release number of selected component (if applicable):
wine-0.9.11-1.i386

How reproducible:
Always, on FC5 x86_64 and x86.

Note You need to log in before you can comment on or make changes to this bug.